package thesis.tree;

public final class Body {

  private final float mass;
  private Vector position;
  private Vector velocity;
  private Vector acceleration;
  
  public Body(float mass, Vector position, Vector velocity) {
    this.mass = mass;
    this.position = position;
    this.velocity = velocity;
    this.acceleration = new Vector();
  }
  
  public float getMass() {
    return mass;
  }
  
  public Vector getPosition() {
    return position;
  }
  
  public void setPosition(Vector position) {
    this.position = position;
  }
  
  public Vector getVelocity() {
    return velocity;
  }
  
  public void setVelocity(Vector velocity) {
    this.velocity = velocity;
  }
  
  public Vector getAcceleration() {
    return acceleration;
  }
  
  public void setAcceleration(Vector acceleration) {
    this.acceleration = acceleration;
  }

}
